List webhooks
import requests
url = "https://api.datagrid.com/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/webhooks \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "webhook",
"id": "<string>",
"url": "<string>",
"events": [
"knowledge.processing.completed"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Webhooks
List webhooks
Returns a cursor-paginated list of webhook subscriptions.
GET
/
webhooks
List webhooks
import requests
url = "https://api.datagrid.com/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/webhooks \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "webhook",
"id": "<string>",
"url": "<string>",
"events": [
"knowledge.processing.completed"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of webhook subscriptions to return.
Required range:
1 <= x <= 100A pagination cursor returned by a previous list call.
Response
List of webhooks
Available options:
list An array containing webhook subscriptions for this page.
Show child attributes
Show child attributes
Whether there are additional results available.
The cursor to supply to cursor to fetch the next page.